import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const DASHBOARD: AppRouteRecordRaw = {
  path: '/chirp',
  name: 'dashboard',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.dashboard',
    requiresAuth: true,
    icon: 'icon-dashboard',
    order: 0,
  },
  children: [
    {
      path: 'base',
      name: 'Workplace',
      component: () => import('@/views/dashboard/workplace/index.vue'),
      meta: {
        locale: 'menu.dashboard.workplace',
        requiresAuth: true,
        roles: ['*'],
      },
    },
    {
      path: 'channel',
      name: 'Channel',
      component: () => import('@/views/list/search-table/index.vue'),
      meta: {
        locale: 'menu.cps.channel',
        requiresAuth: true,
        roles: ['*'],
      },
    },
    {
      path: 'settings',
      name: 'Settings',
      component: () => import('@/views/list/settings/index.vue'),
      meta: {
        locale: 'menu.cps.settings',
        requiresAuth: true,
        roles: ['*'],
      },
    }
  ],
};

export default DASHBOARD;
